package de.oaa.xxx.games.chastity.community;

import org.springframework.data.jpa.repository.JpaRepository;
import java.util.List;
import java.util.UUID;

public interface CommunityTaskVoteEntryRepository extends JpaRepository<CommunityTaskVoteEntryEntity, UUID> {
    List<CommunityTaskVoteEntryEntity> findByDisplayId(UUID voteSessionId);
    boolean existsByDisplayIdAndUserId(UUID displayId, UUID userId);
    CommunityTaskVoteEntryEntity findByDisplayIdAndUserId(UUID displayId, UUID userId);
    Integer countByDisplayIdAndTaskIndex(UUID displayId, int taskIndex);
}
